# Uses of Class
org.jfree.chart3d.graphics3d.Offset2D

Packages that use Offset2D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.graphics2d
Utility classes related to 2D graphics.
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.

## Uses of Offset2D in org.jfree.chart3d

Methods in org.jfree.chart3d that return Offset2D
Modifier and Type
Method
Description
`Offset2D`
Chart3D.`getTranslate2D()`
Sets the offset in 2D-space for the rendering of the chart.
Methods in org.jfree.chart3d with parameters of type Offset2D
Modifier and Type
Method
Description
`void`
Chart3D.`setTranslate2D(Offset2D offset)`
Sets the offset in 2D-space for the rendering of the chart and sends a change event to all registered listeners.

## Uses of Offset2D in org.jfree.chart3d.graphics2d

Methods in org.jfree.chart3d.graphics2d that return Offset2D
Modifier and Type
Method
Description
`Offset2D`
Anchor2D.`getOffset()`
Returns the offsets.
Constructors in org.jfree.chart3d.graphics2d with parameters of type Offset2D
Modifier
Constructor
Description
``
`Anchor2D(RefPt2D refPt, Offset2D offset)`
Creates a new anchor.

## Uses of Offset2D in org.jfree.chart3d.graphics3d

Fields in org.jfree.chart3d.graphics3d declared as Offset2D
Modifier and Type
Field
Description
`static final Offset2D`
Offset2D.`ZERO_OFFSET`
Zero offset.
Methods in org.jfree.chart3d.graphics3d that return Offset2D
Modifier and Type
Method
Description
`Offset2D`
DefaultDrawable3D.`getTranslate2D()`
`Offset2D`
Drawable3D.`getTranslate2D()`
Returns the 2D offset for the scene.
Methods in org.jfree.chart3d.graphics3d with parameters of type Offset2D
Modifier and Type
Method
Description
`void`
DefaultDrawable3D.`setTranslate2D(Offset2D offset)`
`void`
Drawable3D.`setTranslate2D(Offset2D offset)`
Sets the translation offset.